function [k4,ka20,AB,kAB,kv,q1,q2,c1,c3,c4,c5,k1,k2,k3,a1,a2,a3,c1a,c5a,c6a,i1,i1a,e1a,e2a,dt,tp,KN,KNN,ka,ki,kb,kf]=NFparameters(V0,M);

% #####################################################
dt=10;           %simulation step s
% #####################################################

W0=2*10^-12;     %average cell volume 2*10^-12 l = 2000 (mikro m)^3= 0.01mm*0.01mm*0.02mm
U0=1/6*W0;       %nuclear volume kept constant for kv=5

kv=V0/U0;        %kv=5, 
V=V0;
U=U0;

%######################################################
%###### Parametrization for the stochastic part #######
%######################################################

%###### Receptors activation #######

kb=4*10^-6;      %default 4*10^-6 - receptor activation rate (about 2/min at 10ng dose)
kf=6*10^-4;      %default 6*10^-4 => t1/2 = 20min - receptor inactivation rate: Grell 1998: dissociation t1/2=33min, internalization t1/2=10-20min 

%###### Promoter binding #######

q1=1.5*10^-7;    %default 1.5*10^-7 - NF-kB ataching at A20 and IkBa site
q2=10^-6;        %default 10^-6 - IkBa inducible detaching from A20 and IkBa site

%#########################################################
%###### Parametrization for the deterministic part #######
%#########################################################

%###### Transduction pathway #######

KN=10^4;         %default 10^4 - total number of IKKK kinase molecules, Assumption
KNN=2*10^5;      %default 2*10^5 - total number of IKK kinase molecules, Assumption
ka=10^-4;        %default 10^-4 - IKKK kinase activation rate (at most 1/s), Assumption
ki=0.01;         %default 0.01 - IKKK kinase inactivation rate, Assumption

%###### A20 and IKK #######   

AB=1;            %A20 on (or off)
kAB=1;           %A20 TNF block on (or off)
c0=0.1;          %default 0.1 - inducible A20 and IkBa mRNA synthesis, Assumption 
c1=AB*c0;        %inducible A20 mRNA synthesis 
c3=0.00075;      %default 0.00075 - A20 and IkBa mRNA degradation rate, Blattner t1/2= 15min  
c4=0.5;          %default 0.5 - A20 and IkBa translation rate, FIT
c5=0.0005;       %default 0.0005 - A20 degradation rate, FIT
ka20=10000;      %default 10000 - A20 TNFR1 block, FIT
k2=10000;        %default 10000 - IKKa inactivation caused by A20, FIT
k1=5*10^-6;      %default 5*10^-6 - IKKn activation caused by active IKKK, (at most 1/s), Assumption
k3=0.003;        %default 0.003 - IKKa inactivation, FIT 
k4=0.0005;       %default 0.0005 - IKKii transformation, FIT
 
%###### IkB alpha #######
 
AA=1;            %IkBa on (or off)
c1a=AA*c0;       %inducible IkBa mRNA synthesis 
a1=5*10^-7;      %default 5*10^-7 - IkBA*NFkB association, Assumption
a2=10^-7;        %default 10^-7 - IkBa phosphoryation due to action of IKKa, FIT
a3=5*10^-7;      %default 5*10^-7 - (IkBa|NFkb) phosphorylation due to action of IKKa, (at most 0.01/s) FIT
tp=0.01;         %default 0.01 - degradation of phospho-IkBa and phospho-IkBa complexed to NF-kB, FIT  
c5a=0.0001;      %default 0.0001 - IkBa degradation rate, Pando
c6a=0.00002;     %default 0.00002 - spontaneous (IkBa|NFkB) degradation of IkBa  complexed to NF-kB, Pando. 
 
%###### Transport #######
 
i1=0.01;         %default 0.01 - NFkB nuclear import, FIT 
e2a=0.05;        %default 0.05 - (IkBa|NFkB) nuclear export, FIT 
i1a=0.002;       %default 0.002 - IkBa nuclear import, FIT
e1a=0.005;       %default 0.005 - IkBa nuclear export, FIT 
 