%####################
%###### PLOTS #######
%####################

TT=[0,t0-1,t0,t0+1,t0+tw1-1,t0+tw1,t0+te1,t0+te1+1,t0+te1+tw2,t0+te1+tw2-1,t0+te1+te2,t0+te1+te2+1,t0+te1+te2+tw3,t0+te1+te2+tw3-1,t0+te1+te2+te3];
TRR=[0,0,1.00001,1,1,0,0,1,1,0,0,1,1,0,0];
TT=TT/3600;

%##########################################################################

figure(1)
set(gcf,'Color',[1,1,1])

subplot(5,2,1);
plot(TT,TRR);
grid on;
title('[A],   TNF activity');

subplot(5,2,2);
plot(T,Bb+0.001);
grid on;
title('[B],  number of active receptors');

subplot(5,2,3);
plot(T,M1-Bb);
grid on;
title('[C],  number of inactive receptors');

subplot(5,2,4);
plot(T,YYY(:,1));
grid on;
title('[D],   Active IKKK, (IKKKp)');

subplot(5,2,5);
plot(T,KNN-YYY(:,2)-YYY(:,3)-YYY(:,4));
grid on;
title('[E],   Intermediate Inactive IKK, (IKKii)');

subplot(5,2,6);
plot(T,YYY(:,2));
grid on;
title('[F],   Neutral IKK, (IKKn)');

subplot(5,2,7);
plot(T,YYY(:,3));
grid on;
title('[G],   Active IKK, (IKKa)');

subplot(5,2,8);
plot(T,YYY(:,4));
grid on;
title('[H],   Inactive IKK, (IKKi)');

subplot(5,2,9);
plot(T,YYY(:,5));
grid on;
title('[I],   phosphorylated IkBa');
xlabel('Time in hours')

subplot(5,2,10);
plot(T,YYY(:,6));
grid on;
title('[J],   phosphorylated IkBa|NFkB');
xlabel('Time in hours')

%##########################################################################

figure(2)
set(gcf,'Color',[1,1,1])

subplot(4,2,1);
plot(T,YYY(:,3));
grid on;
title('[A],   Active IKK, (IKKa)');

subplot(4,2,2);
plot(T,YYY(:,12)+YYY(:,15)+YYY(:,11)+YYY(:,14)+YYY(:,5)+YYY(:,6));
grid on;
title('[B],   Total IkBa');

subplot(4,2,3)
plot(T,YYY(:,8));
grid on;
title('[C],   Free nuclear NF-kB');

subplot(4,2,4);
plot(T,GGa);
grid on;
title('[D],    Activity of IkBa gene, both alleles ');

subplot(4,2,5);
plot(T,GG);
grid on;
title('[E],    Activity of A20 gene,both alleles'); 

subplot(4,2,6);
plot(T,YYY(:,13));
grid on;
title('[F],   IkBa mRNA transcript');

subplot(4,2,7);
plot(T,YYY(:,10));
grid on;
title('[G],   A20 mRNA transcript');
xlabel('Time in hours');
subplot(4,2,8);

plot(T,YYY(:,9));
grid on;
title('[H],   A20 protein');
xlabel('Time in hours')

%##########################################################################

figure(3)
set(gcf,'Color',[1,1,1])

subplot(3,2,1);
plot(T,YYY(:,14));
grid on;
title('[A], cytoplasmic IkBa|NFkB');

subplot(3,2,2);
plot(T,YYY(:,15));
grid on;
title('[B], nuclear IkBa|NFkB');

subplot(3,2,3);
plot(T,YYY(:,5)+YYY(:,6));
grid on;
title('[E],   total phosphorylated IkBa');
xlabel('Time in hours')

subplot(3,2,4);
plot(T,YYY(:,3));
grid on;
title('[G],   Active IKK, (IKKa)');

subplot(3,2,5);
plot(T,YYY(:,11));
grid on;
title('[A],   Free Cytoplasmic IkBa');

subplot(3,2,6);
plot(T,YYY(:,12));
grid on;
title('[B],   Free nuclear IkBa');

%##########################################################################
%###### To compare with White data, it is assumed that there is 40% of noncirculating
%###### RelA, nuclear signal is multipied by kv to obtain relative intensity
%##########################################################################

figure(4)
set(gcf,'Color',[1,1,1])
plot(T,kv*(YYY(:,8) + YYY(:,15))./(YYY(:,7) + YYY(:,14)+ YYY(:,6)+ 0.667*(YYY(:,8) + YYY(:,15)+ YYY(:,7) + YYY(:,14)+ YYY(:,6))),'k');
grid on;
hold on;
title('NF-kB oscillation amplitude');

%##########################################################################

figure(5)
set(gcf,'Color',[1,1,1])
plot(T,YYY(:,3),'k');
grid on;
title('Aktive IKK (IKKa)');
