%###########################################################
%###### Changes the values of the discrete variables #######
%###########################################################

function [mk,Ga,G,B]=statuschange(AN,ANa,TRx,Gax,Gx,Bx,Yact,Yin,V0,M)  
Ga=Gax;G=Gx;B=Bx;
[k4,ka20,AB,kAB,kv,q1,q2,c1,c3,c4,c5,k1,k2,k3,a1,a2,a3,c1a,c5a,c6a,i1,i1a,e1a,e2a,dt,tp,KN,KNN,ka,ki,kb,kf]=NFparameters(V0,M);%call NFparameters
%   Yact- amount of NFkBn -Y(:,8) 
%   Yin - amount of IKBa  -Y(:,12)
%   mk index (time) of gene status change 

ro=(ANa-Gax)*q1*Yact+Gax*(q2*Yin)+(AN-Gx)*q1*Yact+Gx*(q2*Yin)+(M-Bx)*kb*TRx+Bx*kf; %total propensity function
roint=dt*cumtrapz(ro);        % propensity function integrated
fd=1-exp(-roint);             % Distribution of the switching time

r=rand;                     
if (fd(length(fd))<r)
    fprintf('Error. One may need to increase time interval for computing Risk Function\n');
    fprintf('since r > Risk Function at the end of the time interval.\n');
    fprintf('Risk function attains value %2.10f.\n',fd(length(fd)));  %warning waiting time to short 
end;

a=abs(fd-r);
mk=find((a-min(a))==0);         % mk = index (time) when the status changes
clear a fd ro roint;          

%##################################
%###### WHERE is the change #######
%##################################

%   p1a-risk of attaching to IKBa site at time TC ---- p1a1, p1a2 -1st and
                                                    %  2nd haploid, respectively
%   p2a-risk of deataching from IkBa at time TC
%   p1-risk of attaching to A20 site at time TC
%   p2-risk of deataching from A20 at time TC

p1a=(ANa-Gax)*q1*Yact(mk);
p2a=Gax*(q2*Yin(mk));

p1=(AN-Gx)*q1*Yact(mk);
p2=Gx*(q2*Yin(mk));

p3=(M-Bx)*kb*TRx;
p4=Bx*kf;

ss=(p1a+p2a+p1+p2+p3+p4);
p1a=p1a/ss;p2a=p2a/ss;
p1=p1/ss;p2=p2/ss;
p3=p3/ss;p4=p4/ss;

rnumber=rand;
if (rnumber<p1a)                                              Ga=Ga+1;end;   %IKBa activates
if (rnumber>=p1a)&(rnumber<p1a+p2a)                           Ga=Ga-1;end;
if (rnumber>=p1a+p2a)&(rnumber<p1a+p2a+p1)                    G=G+1;end;     %A20 activates
if (rnumber>=p1a+p2a+p1)&(rnumber<p1a+p2a+p1+p2)              G=G-1;end;
if (rnumber>=p1a+p2a+p1+p2)&(rnumber<p1a+p2a+p1+p2+p3)        B=B+1;end;     %receptor activation
if (rnumber>=p1a+p2a+p1+p2+p3)&(rnumber<p1a+p2a+p1+p2+p3+p4)  B=B-1;end;     %receptor deactivation 

